import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { FlexLayoutModule } from '@angular/flex-layout';

import { I18nModule, UCAP_I18N_NAMESPACE } from '@ucap/ng-i18n';

import { AuthenticationUiModule } from '@ucap/ng-ui-authentication';

import { COMPONENTS } from './components';

@NgModule({
  imports: [CommonModule, FlexLayoutModule, I18nModule, AuthenticationUiModule],
  exports: [...COMPONENTS],
  declarations: [...COMPONENTS],
  entryComponents: [],
  providers: [
    {
      provide: UCAP_I18N_NAMESPACE,
      useValue: ['authentication']
    }
  ]
})
export class AppAccountSectionModule {}
